
BIBD 3.9.7 BIBDS Estatement - Bug #16589

[NA-4][Android] Lack of Screen Caching Prevention

30 May 2023 03:48 PM - Nor Khairun Aqila Jesmen

Status: Closed Start date: 31 May 2023

Priority: High Due date: 31 May 2023

Assignee: wanansari wanansari % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Description:

The application may expose sensitive information via the app switcher.

Recommendation:

Overlay an image as the application enters the background state or explicitly mark the fields hidden via the View Controller.

Fixes:

Remove sensitive information from views before moving to the background.

https://stackoverflow.com/a/7520307

Apply on package BIBD 3.9.7

History

#1 - 30 May 2023 03:49 PM - Nor Khairun Aqila Jesmen

- Assignee set to Abdul Halim Baharom

#2 - 06 June 2023 11:27 AM - Abdul Halim Baharom

- Status changed from New to Resolved

- Assignee changed from Abdul Halim Baharom to Nor Khairun Aqila Jesmen

- % Done changed from 0 to 100

Fixed

#3 - 06 June 2023 11:31 AM - Nor Khairun Aqila Jesmen

- Status changed from Resolved to Closed

- Assignee changed from Nor Khairun Aqila Jesmen to wanansari wanansari

Tested good

Files
